server:
  port: 20011

spring:
  # 数据库配置
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.jdbc.Driver
    url: jdbc:mysql://xunyingcloud.cn:23306/prepare_food?autoReconnect=true&useUnicode=true&characterEncoding=utf8&useSSL=false&allowMultiQueries=true&serverTimezone=Asia/Shanghai
    username: root
    password: x6dbfGN4s6YjcX8P
    minimum-idle: 1
    maximum-pool-size: 10
    idle-timeout: 600000
    max-lifetime: 1800000
    connection-timeout: 30000
    auto-commit: true
    connection-test-query: SELECT 1

  redis:
    host: 127.0.0.1 #地址
    port: 6379 #端口
    password:
    timeout: 10000 # 连接超时时间（毫秒）
    database: 10 #默认数据库
    jedis:
      pool:
        max-active: 200 # 连接池最大连接数（使用负值表示没有限制）
        max-wait: -1 # 连接池最大阻塞等待时间（使用负值表示没有限制）
        max-idle: 10 # 连接池中的最大空闲连接
        min-idle: 0 # 连接池中的最小空闲连接
        time-between-eviction-runs: -1 #逐出扫描的时间间隔(毫秒) 如果为负数,则不运行逐出线程, 默认-1